---
apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  creationTimestamp: "2022-03-08T10:14:18Z"
  managedFields:
  - apiVersion: rbac.authorization.k8s.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:rules: {}
    manager: cluster-version-operator
    operation: Update
    time: "2022-03-08T10:14:18Z"
  name: machine-api-operator
  namespace: openshift-machine-api
  resourceVersion: "1978"
  selfLink: /apis/rbac.authorization.k8s.io/v1/namespaces/openshift-machine-api/roles/machine-api-operator
  uid: b1c8506f-1441-465a-b914-931c2fd668f0
rules:
- apiGroups:
  - ""
  resources:
  - configmaps
  verbs:
  - get
  - list
  - watch
  - create
  - update
  - patch
  - delete
- apiGroups:
  - apps
  resources:
  - deployments
  - daemonsets
  verbs:
  - get
  - list
  - watch
  - create
  - update
  - patch
  - delete
- apiGroups:
  - machine.openshift.io
  resources:
  - '*'
  verbs:
  - list
  - watch
- apiGroups:
  - ""
  resources:
  - secrets
  verbs:
  - get
  - create
